package com.zg.project.information.service;

import com.zg.project.information.domain.WarehouseInfo;

import java.util.List;

/**
 * 仓库信息Service接口
 * 
 * @author zg
 * @date 2025-05-27
 */
public interface IWarehouseInfoService 
{
    /**
     * 查询仓库信息
     * 
     * @param id 仓库信息主键
     * @return 仓库信息
     */
    public WarehouseInfo selectWarehouseInfoById(Long id);

    /**
     * 查询仓库信息列表
     * 
     * @param warehouseInfo 仓库信息
     * @return 仓库信息集合
     */
    public List<WarehouseInfo> selectWarehouseInfoList(WarehouseInfo warehouseInfo);

    /**
     * 新增仓库信息
     * 
     * @param warehouseInfo 仓库信息
     * @return 结果
     */
    public int insertWarehouseInfo(WarehouseInfo warehouseInfo);

    /**
     * 修改仓库信息
     * 
     * @param warehouseInfo 仓库信息
     * @return 结果
     */
    public int updateWarehouseInfo(WarehouseInfo warehouseInfo);

    /**
     * 批量删除仓库信息
     * 
     * @param ids 需要删除的仓库信息主键集合
     * @return 结果
     */
    public int deleteWarehouseInfoByIds(Long[] ids);

    /**
     * 删除仓库信息信息
     * 
     * @param id 仓库信息主键
     * @return 结果
     */
    public int deleteWarehouseInfoById(Long id);
}
